urpm::parallel(3)

NAME
urpm::parallel - Run an urpmi command in parallel on a number of hosts

SYNOPSIS
This enables to run urpmi command on several computers at once.

Two backends are available: urpm::parallel_ka_run and L <urpm::parallel_ssh>

DESCRIPTION

remove($urpm, $remove, %options)
    remove packages from node as remembered according to resolving done.

parallel_find_remove($parallel, $urpm, $state, $l, %options)
    parallel find_packages_to_remove

parallel_register_rpms($parallel, $urpm, @files)
    parallel copy

parallel_resolve_dependencies($parallel, $synthesis, $urpm, $state, $requested, %options)
    parallel resolve_dependencies on each node

_simple_resolve_dependencies($parallel, $urpm, $state, $requested, %options)
    Compute command line of urpm? tools

COPYRIGHT
Copyright (C) 2005 MandrakeSoft SA

Copyright (C) 2005-2010 Mandriva SA

Copyright (C) 2011-2017 Mageia